blob: 07dffa35b2d99e93eaa77c72d334d95c01d20f17 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
|
--- check_mk-1.2.4p5.orig/setup.sh 2014-07-04 09:24:45.000000000 +0200
+++ check_mk-1.2.4p5/setup.sh 2015-08-28 13:22:19.986733809 +0200
@@ -572,6 +572,11 @@
CONFIGURE_OPTS="--with-nagios4"
fi
fi
+ # disable stripping to get meaningful backtraces
+ sed -i -e 's/^INSTALL_STRIP_PROGRAM="\\\$(install_sh) -c -s"$/INSTALL_STRIP_PROGRAM="\\\$(install_sh) -c"/' configure
+ sed -i -e 's/install_sh_PROGRAM="\$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \\$/install_sh_PROGRAM="\$(INSTALL_STRIP_PROGRAM)" \\/' Makefile.in
+ sed -i -e 's/install_sh_PROGRAM="\$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \\$/install_sh_PROGRAM="\$(INSTALL_STRIP_PROGRAM)" \\/' src/Makefile.in
+ sed -i -e 's/\$(CXX) \$(LDFLAGS) -s -fPIC -shared \$(livestatus_so_OBJECTS) -o \$@ -lpthread -lstdc++/\$(CXX) \$(LDFLAGS) -fPIC -shared \$(livestatus_so_OBJECTS) -o \$@ -lpthread -lstdc++/' src/Makefile.in
./configure --libdir=$libdir --bindir=$bindir $CONFIGURE_OPTS &&
make clean &&
cat <<EOF > src/livestatus.h &&
@@ -581,7 +586,8 @@
#endif // livestatus_h
EOF
make -j 8 2>&1 &&
- strip src/livestatus.o &&
+ # disable stripping to get meaningful backtraces
+ #strip src/livestatus.o &&
mkdir -p $DESTDIR$libdir &&
install -m 755 src/livestatus.o $DESTDIR$libdir &&
mkdir -p $DESTDIR$bindir &&
@@ -1018,9 +1024,11 @@
# WATO. Also create an empty and Apache-writable auth.serials
serials_file=$DESTDIR${htpasswd_file%/*}/auth.serials &&
touch "$serials_file" &&
- (chown $wwwuser "$serials_file" || true) &&
- (chown $wwwuser "$htpasswd_file" || true) &&
- create_sudo_configuration &&
+ # Permissions will be set within src_install
+ #(chown $wwwuser "$serials_file" || true) &&
+ #(chown $wwwuser "$htpasswd_file" || true) &&
+ # disable sudo configuration as this will be done within src_install
+ #create_sudo_configuration &&
if [ "$enable_mkeventd" = yes ]
then
if [ -z "$YES" ] ; then echo -n "(Compiling Event Console binaries..." ; fi
|